name:          gnome-icon-theme-symbolic
Version:       3.12.0
Release:       9
Summary:       Symbolic GNOME icons
License:       CC-BY-SA
BuildArch:     noarch
Source0:       http://download.gnome.org/sources/gnome-icon-theme-symbolic/3.12/gnome-icon-theme-symbolic-%{version}.tar.xz
BuildRequires: icon-naming-utils >= 0.8.7
Requires:      gnome-icon-theme >= 2.30.2.1-2

%description
The symbolic icons used by the GNOME desktop source from the package.

%prep
%autosetup -p1

%build
export ac_cv_path_GTK_UPDATE_ICON_CACHE=/bin/true

%configure

%install
%make_install

%post
touch --no-create %{_datadir}/icons/gnome &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/gnome &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/gnome &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/gnome &>/dev/null || :

%files
%doc COPYING AUTHORS
%{_datadir}/icons/gnome/*
%{_datadir}/pkgconfig/gnome-icon-theme-symbolic.pc

%changelog
* Wed Dec 11 2019 wanjiankang <wanjiankang@huawei.com> - 3.12.0-9
- Package Init
